#!/bin/bash
 
MYSQL=`which mysql`

echo "-----";
echo "---------------------------";
echo "AssetTrackDB Setup Script";
echo "---------------------------";
echo "--";
echo "This script will ask for the following:";
echo "Database Name";
echo " -- Name of the MySQL Database that AssetTrackDB will use to store data";
echo "Database Username / Password";
echo " -- User/Pass that AssetTrackDB will use to connect to the MySQL Database";
echo "Database Read Only Userame / Password";
echo " -- User/Pass that AssetTrackDB will use to connect to the MySQL Database for Read-Only access";
echo "MySQL Username / Pass";
echo " -- User/Pass that this script will use to connect to MySQL";
echo "--";
echo "Next the script will: Create Database, Create Database user, Create Database Read-Only User, import AssetTrackDB database structure, update config.php";
echo "When complete the AssetTrackDB install is ready to use";
echo "";
echo "";


 
echo "DB Name: (This is the name that your AssetTrackDB will use)";
read dbname;

echo  "DB Username: (This is the mysql user will use to connect to the database)";
read usern;

echo "DB Pass: (This is the password that the MySQL user will use to connect to the database)";
read dbpass;

echo  "DB READ ONLY Username: (This is the mysql user will use to connect to the database)";
read usernro;

echo "DB READ ONLY Pass: (This is the password that the MySQL user will use to connect to the database)";
read dbpassro;

echo "MYSQL Username: ";
read mysqluser;

echo "MYSQL root  Password: ";
stty -echo
read rpass;
stty echo

Q1="CREATE DATABASE IF NOT EXISTS $dbname;"
Q2="GRANT ALL ON $dbname.* TO '$usern'@'localhost' IDENTIFIED BY '$dbpass';"
Q3="FLUSH PRIVILEGES;"
Q4="USE $dbname;"
SQL="${Q1}${Q4}${Q2}${Q3}"

SQLRO="GRANT SELECT ON $dbname.* TO $usernro IDENTIFIED BY '$dbpassro';"
SQLRO2="GRANT ALL ON $dbname.member_prefs TO $usernro IDENTIFIED BY '$dbpassro';"



$MYSQL -u $mysqluser -p$rpass -e "$SQL";
$MYSQL -u $mysqluser -p$rpass $dbname < assetsetup.sql
$MYSQL -u $mysqluser -p$rpass -e "$SQLRO";
$MYSQL -u $mysqluser -p$rpass -e "$SQLRO2";

sed -i "s/replaceuser/$usern/g" config.php
sed -i "s/replacepass/$dbpass/g" config.php
sed -i "s/replacedb/$dbname/g" config.php
sed -i "s/roreplace/$usernro/g" config.php
sed -i "s/ropassreplace/$dbpassro/g" config.php
